function roads = UR_gen_roads_fixed
% UR_gen_roads_fixed - generate square with diagonals grid of roads
% On inout:
%     N/A
% On output:
%     roads (road struct): describes roads
%       .vertexes (nx2 array): 2D vertexes of roads
%       .edges (kx2 array): edges (as road vertex pairs)
% Call:
%     roads = UR_gen_fixed;
% Author:
%     T. Henderson
%     UU
%     Summer 2019
%

DIST_EPS = 0.01;
INT_THRESH = 0.1;
MIN_DIST = 0.5;

vertexes = zeros(5,3);
vertexes(1,1:2) = [1,1];
vertexes(2,1:2) = [5,1];
vertexes(3,1:2) = [3,3];
vertexes(4,1:2) = [1,5];
vertexes(5,1:2) = [5,5];

edges(1,:) = [1,2];
edges(2,:) = [1,3];
edges(3,:) = [1,4];
edges(4,:) = [2,3];
edges(5,:) = [2,5];
edges(6,:) = [3,4];
edges(7,:) = [3,5];
edges(8,:) = [4,5];

roads.vertexes = vertexes;
roads.edges = edges;

tch = 0;
