function UR_reserve_flight(flight_info)
% UR_reserve_flight - record flight info
% On input:
%     flight_info (nx9 array): flight info per corridor
%       [t1 t2 speed cor USS_id OP_id pf_id launch_rd_ver land_rd_ver]
% On output:
%     N/A (saves in global)
% Call:
%     UR_reserve_flight(fi);
% Author:
%     T. Henderson
%     UU
%     Summer 2019
%

global g_flights

if isempty(flight_info)
    return
end

num_cors = length(flight_info(:,1));
found = 0;
for k = 1:num_cors
    if isnan(flight_info(k,1))
        found = 1;
    end
end

for c = 1:num_cors
    cor = flight_info(c,4);
    if isempty(g_flights(cor).flights)
        g_flights(cor).flights = flight_info(c,:);
    else
        g_flights(cor).flights = [g_flights(cor).flights;flight_info(c,:)];
    end
end
