function UR_save_session_data(s_name)
% UR_save_session_data - save the global data from a simulation session
% On input:
%     s_name (string): name of file to save data in
% On output:
%     N/A (file is written)
% Call:
%     UR_save_session_data('session1.txt');
% Author
%     T. Henderson
%     UU
%     Summer 2019
%

global g_radius g_offset g_del
global g_USS_info
global g_airways
global g_z_upper g_z_lower g_z_circle g_z_launch g_z_land 
global g_speed
global g_flights g_flight_plans
global g_launch_vertexes g_land_vertexes

save(s_name, 'g_radius', 'g_offset', 'g_del', 'g_USS_info', 'g_airways',...
    'g_z_upper', 'g_z_lower', 'g_z_circle', 'g_z_launch', 'g_z_land',...
    'g_speed', 'g_flights', 'g_flight_plans', 'g_launch_vertexes',...
    'g_land_vertexes');
